@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");

@font-face {
    font-family: Chalkboard SE;
    src: url("../fonts/chalkboardse.otf") format("opentype");
}

@font-face {
    font-family: Open Sans;
    src: url("../fonts/open-sans.otf") format("opentype");
}

body {
    margin: 0;
    overflow: hidden;
    font-family: Chalkboard SE, sans-serif;
    height: 100vh;
    width: 100vw;

    background-image: url("../pictures/mainBackground.png");
    background-size: cover;
}

#preloader {
    display: block;
    position: fixed;
    z-index: 10;
    background-color: white;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;

    background-repeat: no-repeat;
}

#gameLoader {
    display: none;
    position: fixed;
    z-index: 10;
    background-color: white;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;

    background-repeat: no-repeat;
}

.loader-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.loader-container .modal-logo {
    margin-bottom: 20px;
}

#container {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 1;
}

#video {
    -o-object-fit: cover;
    object-fit: cover;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -5;
}

#video::-webkit-media-controls {
    display: none !important;
}

#canvas {
    -o-object-fit: cover;
    object-fit: cover;
    position: fixed;
    width: 100% !important;
    height: 100% !important;
    /* при изменении смещаются области кликов на элементы */
    top: 0;
    left: 0;
    z-index: 2;
}

#canvas1 {
    display: none;
    -o-object-fit: cover;
    object-fit: cover;
    position: fixed;
    width: 100% !important;
    height: 100% !important;
    /* при изменении смещаются области кликов на элементы */
    top: 0;
    left: 0;
    z-index: 1;
}

#saveFrameCanvas {
    display: none;
    -o-object-fit: cover;
    object-fit: cover;
    position: fixed;
    width: 100% !important;
    height: 100% !important;
    /* при изменении смещаются области кликов на элементы */
    top: 0;
    left: 0;
    z-index: 1;
}

#videoCanvas {
    -o-object-fit: cover;
    object-fit: cover;
    position: fixed;
    width: 100% !important;
    height: 100% !important;
    /* при изменении смещаются области кликов на элементы */
    top: 0;
    left: 0;
    z-index: 1;
}

#modal_marker-comp,
#modal_marker-landscape {
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    right: 0;
    z-index: 99999999;
    background-image: url(../pictures/compBackground.png);
    background-position: center top;
    background-size: cover;
    background-repeat: no-repeat;
    display: none;
    text-align: center;
}

.container-marker-comp {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.bg-class {
    height: 100%;
    background-image: url(../pictures/mainBackground.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.progress {
    background-color: transparent;
    /* border: 2px solid white; */
    height: 30px;
    width: 90%;
    /* border-radius: 20px; */
}

.progress::-webkit-progress-bar {
    background-color: transparent;
    border: 2px solid white;
    height: 30px;
    border-radius: 20px;
}

.progress::-webkit-progress-value {
    background-color: white;
    /* border: white; */
    height: 30px;
    width: 90%;
    border-radius: 20px;
}

.progress::-moz-progress-bar {
    background-color: black;
    border: white;
    height: 30px;
    width: 90%;
    border-radius: 20px;
}

@keyframes load {
    0% {
        width: 0;
    }

    100% {
        width: 100%;
    }
}

.marker-comp {
    display: block;
    width: calc(900px - 2*25px);
    height: calc(550px - 2*25px);
    padding: 25px;
    background: url(../pictures/compModalBackground.png) center bottom no-repeat;
    background-size: 100% auto;
    z-index: 2;
}

.marker-landscape {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 344px;
    height: 196px;
    background: url(../pictures/landscape-modal.svg) center no-repeat;
    background-size: auto 100%;
    padding: 20px 0px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 15px;
}

.marker-landscape-text {
    display: flex;
    width: 100%;
    /* height: 30%; */
    align-items: center;
    justify-content: center;
}

.marker-landscape-img {
    display: grid;
    grid-template-rows: 100%;
    width: 100%;
    height: 92px;
    justify-content: center;
    margin: 20px 0;
}

.marker-landscape-img>img {
    height: 100%;
}

.marker-landscape_txt {
    margin: 0;
    font-family: Chalkboard SE;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
    text-align: center;
    color: #01479D;
}

.marker-comp-link {
    display: flex;
    margin-top: 40px;
    width: 100%;
    height: calc(52% - 40px);
}

.marker-comp-text {
    margin: auto 40px;
    font-style: normal;
    font-weight: normal;
    line-height: 20px;
    text-align: left;
    font-size: 32px;
    color: #01479D;
}

.marker-comp-qr {
    display: flex;
    align-items: center;
    height: 48%;
    width: 100%;
}

.marker-comp-qr img {
    margin: auto 40px 30px auto;
    height: 171px;
    width: 171px;
}

.marker-comp-logo {
    margin: 10px;
    width: 169px;
    height: 182px;

    background-image: url(../pictures/logo.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.container {
    margin: auto;
    z-index: -6;

    display: grid;
    justify-content: center;
    width: 100%;
    grid-template-columns: 100%;
}

.header {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: calc(100% - 30px);
    min-height: 96px;
    padding: 15px;

    z-index: 4;
}

.header-content {
    display: grid;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    grid-template-columns: repeat(3, 2fr);
    column-gap: 10px;
    min-height: 106px;
}

.header-content_time {
    justify-content: left;
}

.header-content_score {
    justify-content: center;
    margin-bottom: 25px;
}

@keyframes phone-floating {
    from {
        left: 50%;
        top: 10%;

        transform: translate(-50%, -50%);
    }

    25% {
        left: 20%;
        top: 100%;
    }

    50% {
        left: 50%;
        top: 10%;

        transform: translate(-50%, -50%);
    }

    75% {
        left: 80%;
        top: 100%;
    }

    to {
        left: 50%;
        top: 10%;

        transform: translate(-50%, -50%);
    }
}

.modal {
    z-index: 10;
    width: 100%;
    max-height: 300px;
    display: none;
    align-items: center;
    opacity: 1;
    position: fixed;
    transform: translate(-50%, -50%);
    top: 30%;
    left: 50%;
    padding: 100px 0px;
    background-size: 100% 100%;
}

.modal-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.modal-logo {
    margin: 15px;
    width: 83px;
    height: 89px;

    background-image: url(../pictures/logo.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.modal-err {
    transform: translate(-50%);
    top: 0;
    width: 325px;
    padding: 0;
    max-height: none;
}

.modal-txt {
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 15px;
}

.modal-err .modal-txt_main {
    margin: 0;
    text-align: left;
}

.modal-err .modal-txt_main:first-child {
    margin-bottom: 10px;
}

.modal-content {
    margin-top: 50px;
    margin-left: 50px;
    margin-right: 50px;
    margin-bottom: 0px;
}

.end-modal .modal-content {
    margin-top: 0px;
    margin-left: 40px;
    margin-right: 40px;
}

.end-modal {
    padding: 160px 0px 140px 0px;
    max-height: 500px;
    top: 50%;
    background-image: url(../pictures/endModalBackground.png);
}

.modal-txt_main {
    margin: 0;
    width: 100%;
    font-family: Chalkboard SE;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 21px;
    text-align: center;
    color: #01479D;
}

.modal-txt_main p {
    margin: 0;
}

.modal-txt_main p:not(:last-child) {
    margin-bottom: 15px;
}

.modal-txt_main span {
    font-weight: bold;
}

.modal-txt_score {
    font-weight: bold;
    font-size: 25px;
}

.modal-buttons {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    margin-top: 15px;
    width: 100%;
}

.modal-btn {
    height: 65px;
    text-decoration: none;
    font-family: Chalkboard SE;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 21px;
    text-align: center;
    color: #01479D;
    background-color: transparent;
    border: none;
    padding: 10px 0px 0px 0px;
}


#timeContent,
#scoreContent {
    display: none;
    align-items: center;
    flex-direction: column;
}

#time {
    position: relative;
    top: -75%;
}

.loader__loader {
    max-width: 50%;
    max-height: 60%;
}

.loader__img {
    max-width: 100%;
    max-height: 100%;
}

.loader__txt {
    margin-top: 5px;
    font-family: Chalkboard SE;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    color: #01479D;
}

.loader__load {
    opacity: 1;

    -webkit-animation: loader-logo-rotate linear infinite 2s;

    animation: loader-logo-rotate linear infinite 2s;
}

.bg_cover {
    background-position: center;
    background-size: cover;
}

.loader_bg {
    background-image: url(../pictures/mainBackground.png);
}

@-webkit-keyframes loader-logo-rotate {
    from {
        -webkit-transform: rotateZ(0deg);
        transform: rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(360deg);
        transform: rotateZ(360deg);
    }
}

@keyframes loader-logo-rotate {
    from {
        -webkit-transform: rotateZ(0deg);
        transform: rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(360deg);
        transform: rotateZ(360deg);
    }
}

.header-txt {
    margin: 0;
    width: 100%;
    font-family: Chalkboard SE;
    font-style: normal;
    font-weight: bold;
    font-size: 40px;
    line-height: 42px;
    text-align: center;
    color: #FFFFFF;
}

.header-txt_small {
    font-weight: normal;
    font-size: 24px;
    line-height: 24px;
}

.plus-modal {
    z-index: 20;
    width: 24px;
    height: 27px;
    display: none;
    align-items: center;
    opacity: 1;
    position: fixed;
    transform: translate(-50%, -50%);
    top: 120px;
    left: 50%;
    padding: 10px;
    background-size: 100% 100%;
    background-image: url(../pictures/plusBackground.svg);
}

.plus-modal_txt {
    width: 100%;
    font-family: Chalkboard SE;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 24px;
    text-align: center;
    color: #8BC078;
}

.minus {
    color: #F04847;
}

.progress {
    height: 106px;
    width: 106px;
}

.progress-circle {
    transform: rotate(-90deg) scale(1, -1);
}

.progress-circle-prog {
    fill: none;
    stroke-width: 10px;
    stroke-dashoffset: 0;
    stroke-linecap: round;
    animation: time-progress 30s linear;
}

@keyframes time-progress {
    from {
        stroke-dasharray: 300, 300;
        stroke: #2BF607;
    }

    to {
        stroke-dasharray: 0, 300;
        stroke: #F04847;
    }

    74% {
        stroke: #2BF607;
    }

    75% {
        stroke: #F04847;
    }
}
